aboutsummaryrefslogtreecommitdiffstats
path: root/main/multipath-tools/multipath-tools.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-11-01 11:05:26 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-11-01 11:05:40 +0000
commitc4fdd261576494d39f4a8ec5eba83f4c9783adc9 (patch)
treec866d32b33660a3146564c860f3f6d1ac6246d8c /main/multipath-tools/multipath-tools.initd
parent0d8cb20c55849b5054bba180a9db7e1a6978ecce (diff)
downloadaports-c4fdd261576494d39f4a8ec5eba83f4c9783adc9.tar.bz2
aports-c4fdd261576494d39f4a8ec5eba83f4c9783adc9.tar.xz
testing/multipath-tools: move to main
Diffstat (limited to 'main/multipath-tools/multipath-tools.initd')
-rw-r--r--main/multipath-tools/multipath-tools.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/main/multipath-tools/multipath-tools.initd b/main/multipath-tools/multipath-tools.initd
new file mode 100644
index 0000000000..931bc313d0
--- /dev/null
+++ b/main/multipath-tools/multipath-tools.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/sys-fs/multipath-tools/files/rc-multipathd,v 1.5 2009/03/17 22:48:13 solar Exp $
+
+depend() {
+ after firewall
+}
+
+start() {
+ ebegin "Starting multipathd"
+ start-stop-daemon --start --quiet --exec /sbin/multipathd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping multipathd"
+ start-stop-daemon --stop --quiet --pidfile /var/run/multipathd.pid
+ eend $?
+}